<?php

require_once('/usr/local/www/berogui/includes/isgwtelnet.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'TelephonyGetInfo';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['Action']) || empty($this->_get['Action'])) {
			$this->_execResultString = 'error:invalid_parameters';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$isgw = new isgwtelnet();
		if (!($result = $isgw->isgw_login())) {
			$this->_execResultString = 'error:login_failed';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$this->_execResultString .= "\n" . '<pre>' . trim($isgw->isgw_transparent($this->_get['Action'])) . '</pre>';

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
